For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get layout details for an import template

Get import layout details

Required permissions: IMPORT

get
/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid}
Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
importTemplateUidstringRequired

Reference to a import template.

Pattern: ^[A-Za-z0-9-_]+
importLayoutUidstringRequired

Reference to a import layout.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
includeConversionsbooleanOptional

Include conversions in response

Responses
200

Example response

application/json
layoutUidstringRequiredPattern: ^[A-Za-z0-9-_]+
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
fieldNamestringRequired

Entity field name in FlowRetail

valuestringRequired

Static value, or reference to field in import file.

Example: For EXCEL import use A to get the value from column A

get/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid}
GET /v2/tenants/{tenantUid}/imports/templates/{importTemplateUid}/layouts/{importLayoutUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "layoutUid": "text",
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "conversions": [
    {
      "conversionUid": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "fromValue": "text",
      "toValue": "text"
    }
  ],
  "fieldName": "text",
  "value": "text"
}

Last updated

Was this helpful?